diff -ur qalculate-kde-0.9.6/Makefile.in qalculate-kde-0.9.6_patched/Makefile.in
--- qalculate-kde-0.9.6/Makefile.in	2007-06-17 05:34:18.000000000 -0600
+++ qalculate-kde-0.9.6_patched/Makefile.in	2009-04-03 10:49:41.000000000 -0600
@@ -99,9 +99,6 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
-CLN_CONFIG = @CLN_CONFIG@
-CLN_CPPFLAGS = @CLN_CPPFLAGS@
-CLN_LIBS = @CLN_LIBS@
 CONF_FILES = @CONF_FILES@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
@@ -350,29 +347,29 @@
 #>- 	@for dep in $?; do \
 #>- 	  case '$(am__configure_deps)' in \
 #>- 	    *$$dep*) \
-#>- 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
-#>- 	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
+#>- 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
+#>- 	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
 #>- 		&& exit 0; \
 #>- 	      exit 1;; \
 #>- 	  esac; \
 #>- 	done; \
-#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
+#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
 #>- 	cd $(top_srcdir) && \
-#>- 	  $(AUTOMAKE) --gnu  Makefile
+#>- 	  $(AUTOMAKE) --foreign  Makefile
 #>+ 14
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
-	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
+	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
  (  \
-	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
+	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
 	 ) || exit 1; echo ' cd $(top_srcdir) && perl admin/am_edit '; cd $(top_srcdir) && perl admin/am_edit && exit 0;  \
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  Makefile
+	  $(AUTOMAKE) --foreign  Makefile
 	cd $(top_srcdir) && perl admin/am_edit Makefile.in
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -831,7 +828,7 @@
 #>+ 7
 force-reedit:
 	 \
-	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
+	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
 	
 	cd $(top_srcdir) && perl admin/am_edit Makefile.in
 
diff -ur qalculate-kde-0.9.6/aclocal.m4 qalculate-kde-0.9.6_patched/aclocal.m4
--- qalculate-kde-0.9.6/aclocal.m4	2007-06-17 05:34:08.000000000 -0600
+++ qalculate-kde-0.9.6_patched/aclocal.m4	2009-04-03 10:49:41.000000000 -0600
@@ -11,164 +11,6 @@
 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 # PARTICULAR PURPOSE.
 
-# Configure paths for the CLN library
-# Richard Kreckel 12/4/2000
-# borrowed from Christian Bauer
-# stolen from Sam Lantinga
-# stolen from Manish Singh
-# stolen back from Frank Belew
-# stolen from Manish Singh
-# Shamelessly stolen from Owen Taylor
-
-dnl AC_PATH_CLN([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
-dnl Test for installed CLN library, and define CLN_CPPFLAGS and CLN_LIBS
-dnl
-AC_DEFUN([AC_PATH_CLN],
-[dnl 
-dnl Get the cppflags and libraries from the cln-config script
-dnl
-AC_ARG_WITH(cln-prefix,[  --with-cln-prefix=PFX   Prefix where CLN is installed (optional)],
-            cln_config_prefix="$withval", cln_config_prefix="")
-AC_ARG_WITH(cln-exec-prefix,[  --with-cln-exec-prefix=PFX Exec prefix where CLN is installed (optional)],
-            cln_config_exec_prefix="$withval", cln_config_exec_prefix="")
-AC_ARG_ENABLE(clntest, [  --disable-clntest       Do not try to compile and run a test CLN program],
-              , enable_clntest=yes)
-
-if test x$cln_config_exec_prefix != x ; then
-    cln_config_args="$cln_config_args --exec-prefix=$cln_config_exec_prefix"
-    if test x${CLN_CONFIG+set} != xset ; then
-        CLN_CONFIG=$cln_config_exec_prefix/bin/cln-config
-    fi
-fi
-if test x$cln_config_prefix != x ; then
-    cln_config_args="$cln_config_args --prefix=$cln_config_prefix"
-    if test x${CLN_CONFIG+set} != xset ; then
-        CLN_CONFIG=$cln_config_prefix/bin/cln-config
-    fi
-fi
-
-AC_PATH_PROG(CLN_CONFIG, cln-config, no)
-cln_min_version=ifelse([$1], ,1.1.0,$1)
-AC_MSG_CHECKING(for CLN - version >= $cln_min_version)
-if test "$CLN_CONFIG" = "no" ; then
-    AC_MSG_RESULT(no)
-    echo "*** The cln-config script installed by CLN could not be found"
-    echo "*** If CLN was installed in PREFIX, make sure PREFIX/bin is in"
-    echo "*** your path, or set the CLN_CONFIG environment variable to the"
-    echo "*** full path to cln-config."
-    ifelse([$3], , :, [$3])
-else
-dnl Parse required version and the result of cln-config.
-    cln_min_major_version=`echo $cln_min_version | \
-            sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
-    cln_min_minor_version=`echo $cln_min_version | \
-            sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
-    cln_min_micro_version=`echo $cln_min_version | \
-            sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
-    CLN_CPPFLAGS=`$CLN_CONFIG $cln_config_args --cppflags`
-    CLN_LIBS=`$CLN_CONFIG $cln_config_args --libs`
-    cln_config_version=`$CLN_CONFIG $cln_config_args --version`
-    cln_config_major_version=`echo $cln_config_version | \
-            sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
-    cln_config_minor_version=`echo $cln_config_version | \
-            sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
-    cln_config_micro_version=`echo $cln_config_version | \
-            sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
-dnl Check if the installed CLN is sufficiently new according to cln-config.
-    if test \( $cln_config_major_version -lt $cln_min_major_version \) -o \
-            \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -lt $cln_min_minor_version \) -o \
-            \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -eq $cln_min_minor_version -a $cln_config_micro_version -lt $cln_min_micro_version \); then
-        echo -e "\n*** 'cln-config --version' returned $cln_config_major_version.$cln_config_minor_version.$cln_config_micro_version, but the minimum version"
-        echo "*** of CLN required is $cln_min_major_version.$cln_min_minor_version.$cln_min_micro_version. If cln-config is correct, then it is"
-        echo "*** best to upgrade to the required version."
-        echo "*** If cln-config was wrong, set the environment variable CLN_CONFIG"
-        echo "*** to point to the correct copy of cln-config, and remove the file"
-        echo "*** config.cache before re-running configure."
-        ifelse([$3], , :, [$3])
-    else
-dnl The versions match so far.  Now do a sanity check: Does the result of cln-config
-dnl match the version of the headers and the version built into the library, too?
-        no_cln=""
-        if test "x$enable_clntest" = "xyes" ; then
-            ac_save_CPPFLAGS="$CPPFLAGS"
-            ac_save_LIBS="$LIBS"
-            CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
-            LIBS="$LIBS $CLN_LIBS"
-            rm -f conf.clntest
-            AC_TRY_RUN([
-#include <stdio.h>
-#include <string.h>
-#include <cln/version.h>
-
-/* we do not #include <stdlib.h> because autoconf in C++ mode inserts a
-   prototype for exit() that conflicts with the one in stdlib.h */
-extern "C" int system(const char *);
-
-int main(void)
-{
-    system("touch conf.clntest");
-
-    if ((CL_VERSION_MAJOR != $cln_config_major_version) ||
-        (CL_VERSION_MINOR != $cln_config_minor_version) ||
-        (CL_VERSION_PATCHLEVEL != $cln_config_micro_version)) {
-        printf("\n*** 'cln-config --version' returned %d.%d.%d, but the header file I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
-        printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", CL_VERSION_MAJOR, CL_VERSION_MINOR, CL_VERSION_PATCHLEVEL);
-        printf("*** is corrupted or you have specified some wrong -I compiler flags.\n");
-        printf("*** Please inquire and consider reinstalling CLN.\n");
-        return 1;
-    }
-    if ((cln::version_major != $cln_config_major_version) ||
-        (cln::version_minor != $cln_config_minor_version) ||
-        (cln::version_patchlevel != $cln_config_micro_version)) {
-        printf("\n*** 'cln-config --version' returned %d.%d.%d, but the library I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
-        printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", cln::version_major, cln::version_minor, cln::version_patchlevel);
-        printf("*** is corrupted or you have specified some wrong -L compiler flags.\n");
-        printf("*** Please inquire and consider reinstalling CLN.\n");
-        return 1;
-    }
-    return 0;
-}
-],, no_cln=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
-            CPPFLAGS="$ac_save_CPPFLAGS"
-            LIBS="$ac_save_LIBS"
-        fi
-        if test "x$no_cln" = x ; then
-            AC_MSG_RESULT([yes, $cln_config_version])
-            ifelse([$2], , :, [$2])
-        else
-            AC_MSG_RESULT(no)
-            if test ! -f conf.clntest ; then
-                echo "*** Could not run CLN test program, checking why..."
-                CPPFLAGS="$CFLAGS $CLN_CPPFLAGS"
-                LIBS="$LIBS $CLN_LIBS"
-                AC_TRY_LINK([
-#include <stdio.h>
-#include <cln/version.h>
-],              [ return 0; ],
-                [ echo "*** The test program compiled, but did not run. This usually means"
-                  echo "*** that the run-time linker is not finding CLN or finding the wrong"
-                  echo "*** version of CLN. If it is not finding CLN, you'll need to set your"
-                  echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
-                  echo "*** to the installed location. Also, make sure you have run ldconfig if that"
-                  echo "*** is required on your system."],
-                [ echo "*** The test program failed to compile or link. See the file config.log for the"
-                  echo "*** exact error that occured. This usually means CLN was incorrectly installed"
-                  echo "*** or that you have moved CLN since it was installed. In the latter case, you"
-                  echo "*** may want to edit the cln-config script: $CLN_CONFIG." ])
-                CPPFLAGS="$ac_save_CPPFLAGS"
-                LIBS="$ac_save_LIBS"
-            fi
-            CLN_CPPFLAGS=""
-            CLN_LIBS=""
-            ifelse([$3], , :, [$3])
-        fi
-    fi
-fi
-AC_SUBST(CLN_CPPFLAGS)
-AC_SUBST(CLN_LIBS)
-rm -f conf.clntest
-])
-
 # pkg.m4 - Macros to locate and utilise pkg-config.            -*- Autoconf -*-
 # 
 # Copyright © 2004 Scott James Remnant <scott@netsplit.com>.
@@ -317,7 +159,7 @@
 
 _PKG_TEXT
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.])],
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.])],
 		[$4])
 else
 	$1[]_CFLAGS=$pkg_cv_[]$1[]_CFLAGS
diff -ur qalculate-kde-0.9.6/config.h.in qalculate-kde-0.9.6_patched/config.h.in
--- qalculate-kde-0.9.6/config.h.in	2007-06-17 05:34:15.000000000 -0600
+++ qalculate-kde-0.9.6_patched/config.h.in	2009-04-03 10:49:41.000000000 -0600
@@ -18,9 +18,6 @@
 /* Define to 1 if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
 
-/* If CLN can be used */
-#undef HAVE_LIBCLN
-
 /* Define if you have libjpeg */
 #undef HAVE_LIBJPEG
 
diff -ur qalculate-kde-0.9.6/configure qalculate-kde-0.9.6_patched/configure
--- qalculate-kde-0.9.6/configure	2007-06-17 05:34:14.000000000 -0600
+++ qalculate-kde-0.9.6_patched/configure	2009-04-03 10:49:41.000000000 -0600
@@ -1010,9 +1010,6 @@
 LIB_KSYCOCA
 LIB_KFILE
 LIB_KFM
-CLN_CONFIG
-CLN_CPPFLAGS
-CLN_LIBS
 PKG_CONFIG
 QALCULATE_CFLAGS
 QALCULATE_LIBS
@@ -1648,7 +1645,6 @@
   --disable-threading     disables threading even if libpthread found
   --disable-rpath         do not use the rpath feature of ld
   --disable-path-check    don't try to find out, where to install
-  --disable-clntest       Do not try to compile and run a test CLN program
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
@@ -1664,8 +1660,6 @@
   --with-qt-includes=DIR  where the Qt includes are.
   --with-qt-libraries=DIR where the Qt library is installed.
   --without-arts          build without aRts default=no
-  --with-cln-prefix=PFX   Prefix where CLN is installed (optional)
-  --with-cln-exec-prefix=PFX Exec prefix where CLN is installed (optional)
 
 Some influential environment variables:
   CC          C compiler command
@@ -8388,7 +8382,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 8391 "configure"' > conftest.$ac_ext
+  echo '#line 8385 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -10129,11 +10123,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10132: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10126: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10136: \$? = $ac_status" >&5
+   echo "$as_me:10130: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -10362,11 +10356,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10365: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10359: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10369: \$? = $ac_status" >&5
+   echo "$as_me:10363: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -10429,11 +10423,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10432: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10426: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10436: \$? = $ac_status" >&5
+   echo "$as_me:10430: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12515,7 +12509,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12518 "configure"
+#line 12512 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12613,7 +12607,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12616 "configure"
+#line 12610 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14774,11 +14768,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14777: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14771: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14781: \$? = $ac_status" >&5
+   echo "$as_me:14775: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -14841,11 +14835,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14844: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14838: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14848: \$? = $ac_status" >&5
+   echo "$as_me:14842: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16144,7 +16138,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 16147 "configure"
+#line 16141 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -16242,7 +16236,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 16245 "configure"
+#line 16239 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17065,11 +17059,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17068: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17062: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17072: \$? = $ac_status" >&5
+   echo "$as_me:17066: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -17132,11 +17126,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17135: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17129: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:17139: \$? = $ac_status" >&5
+   echo "$as_me:17133: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -19100,11 +19094,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19103: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19097: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:19107: \$? = $ac_status" >&5
+   echo "$as_me:19101: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -19333,11 +19327,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19336: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19330: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:19340: \$? = $ac_status" >&5
+   echo "$as_me:19334: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -19400,11 +19394,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19403: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19397: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:19407: \$? = $ac_status" >&5
+   echo "$as_me:19401: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -21486,7 +21480,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 21489 "configure"
+#line 21483 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -21584,7 +21578,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 21587 "configure"
+#line 21581 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -30074,7 +30068,7 @@
 do
   for j in jpeglib.h;
   do
-    echo "configure: 30077: $i/$j" >&5
+    echo "configure: 30071: $i/$j" >&5
     if test -r "$i/$j"; then
       echo "taking that" >&5
       jpeg_incdir=$i
@@ -30372,7 +30366,7 @@
 do
   for j in $kde_qt_header;
   do
-    echo "configure: 30375: $i/$j" >&5
+    echo "configure: 30369: $i/$j" >&5
     if test -r "$i/$j"; then
       echo "taking that" >&5
       qt_incdir=$i
@@ -31203,7 +31197,7 @@
 do
   for j in $kde_check_header;
   do
-    echo "configure: 31206: $i/$j" >&5
+    echo "configure: 31200: $i/$j" >&5
     if test -r "$i/$j"; then
       echo "taking that" >&5
       kde_incdir=$i
@@ -31233,7 +31227,7 @@
 do
   for j in $kde_check_lib;
   do
-    echo "configure: 31236: $i/$j" >&5
+    echo "configure: 31230: $i/$j" >&5
     if test -r "$i/$j"; then
       echo "taking that" >&5
       kde_libdir=$i
@@ -31251,7 +31245,7 @@
 do
   for j in "kde3/plugins/designer/kdewidgets.la";
   do
-    echo "configure: 31254: $i/$j" >&5
+    echo "configure: 31248: $i/$j" >&5
     if test -r "$i/$j"; then
       echo "taking that" >&5
       kde_widgetdir=$i
@@ -32772,7 +32766,7 @@
 do
   for j in apps/ksgmltools2/customization/kde-chunk.xsl;
   do
-    echo "configure: 32775: $i/$j" >&5
+    echo "configure: 32769: $i/$j" >&5
     if test -r "$i/$j"; then
       echo "taking that" >&5
       KDE_XSL_STYLESHEET=$i
@@ -33287,302 +33281,6 @@
 
 
 
-# Check whether --with-cln-prefix was given.
-if test "${with_cln_prefix+set}" = set; then
-  withval=$with_cln_prefix; cln_config_prefix="$withval"
-else
-  cln_config_prefix=""
-fi
-
-
-# Check whether --with-cln-exec-prefix was given.
-if test "${with_cln_exec_prefix+set}" = set; then
-  withval=$with_cln_exec_prefix; cln_config_exec_prefix="$withval"
-else
-  cln_config_exec_prefix=""
-fi
-
-# Check whether --enable-clntest was given.
-if test "${enable_clntest+set}" = set; then
-  enableval=$enable_clntest;
-else
-  enable_clntest=yes
-fi
-
-
-if test x$cln_config_exec_prefix != x ; then
-    cln_config_args="$cln_config_args --exec-prefix=$cln_config_exec_prefix"
-    if test x${CLN_CONFIG+set} != xset ; then
-        CLN_CONFIG=$cln_config_exec_prefix/bin/cln-config
-    fi
-fi
-if test x$cln_config_prefix != x ; then
-    cln_config_args="$cln_config_args --prefix=$cln_config_prefix"
-    if test x${CLN_CONFIG+set} != xset ; then
-        CLN_CONFIG=$cln_config_prefix/bin/cln-config
-    fi
-fi
-
-# Extract the first word of "cln-config", so it can be a program name with args.
-set dummy cln-config; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_CLN_CONFIG+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $CLN_CONFIG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_CLN_CONFIG="$CLN_CONFIG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_CLN_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  test -z "$ac_cv_path_CLN_CONFIG" && ac_cv_path_CLN_CONFIG="no"
-  ;;
-esac
-fi
-CLN_CONFIG=$ac_cv_path_CLN_CONFIG
-if test -n "$CLN_CONFIG"; then
-  { echo "$as_me:$LINENO: result: $CLN_CONFIG" >&5
-echo "${ECHO_T}$CLN_CONFIG" >&6; }
-else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-
-cln_min_version=1.1.0
-{ echo "$as_me:$LINENO: checking for CLN - version >= $cln_min_version" >&5
-echo $ECHO_N "checking for CLN - version >= $cln_min_version... $ECHO_C" >&6; }
-if test "$CLN_CONFIG" = "no" ; then
-    { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-    echo "*** The cln-config script installed by CLN could not be found"
-    echo "*** If CLN was installed in PREFIX, make sure PREFIX/bin is in"
-    echo "*** your path, or set the CLN_CONFIG environment variable to the"
-    echo "*** full path to cln-config."
-    { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
-echo "$as_me: error: No suitable installed version of CLN could be found." >&2;}
-   { (exit 1); exit 1; }; }
-else
-    cln_min_major_version=`echo $cln_min_version | \
-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
-    cln_min_minor_version=`echo $cln_min_version | \
-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
-    cln_min_micro_version=`echo $cln_min_version | \
-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
-    CLN_CPPFLAGS=`$CLN_CONFIG $cln_config_args --cppflags`
-    CLN_LIBS=`$CLN_CONFIG $cln_config_args --libs`
-    cln_config_version=`$CLN_CONFIG $cln_config_args --version`
-    cln_config_major_version=`echo $cln_config_version | \
-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
-    cln_config_minor_version=`echo $cln_config_version | \
-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
-    cln_config_micro_version=`echo $cln_config_version | \
-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
-    if test \( $cln_config_major_version -lt $cln_min_major_version \) -o \
-            \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -lt $cln_min_minor_version \) -o \
-            \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -eq $cln_min_minor_version -a $cln_config_micro_version -lt $cln_min_micro_version \); then
-        echo -e "\n*** 'cln-config --version' returned $cln_config_major_version.$cln_config_minor_version.$cln_config_micro_version, but the minimum version"
-        echo "*** of CLN required is $cln_min_major_version.$cln_min_minor_version.$cln_min_micro_version. If cln-config is correct, then it is"
-        echo "*** best to upgrade to the required version."
-        echo "*** If cln-config was wrong, set the environment variable CLN_CONFIG"
-        echo "*** to point to the correct copy of cln-config, and remove the file"
-        echo "*** config.cache before re-running configure."
-        { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
-echo "$as_me: error: No suitable installed version of CLN could be found." >&2;}
-   { (exit 1); exit 1; }; }
-    else
-        no_cln=""
-        if test "x$enable_clntest" = "xyes" ; then
-            ac_save_CPPFLAGS="$CPPFLAGS"
-            ac_save_LIBS="$LIBS"
-            CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
-            LIBS="$LIBS $CLN_LIBS"
-            rm -f conf.clntest
-            if test "$cross_compiling" = yes; then
-  echo $ac_n "cross compiling; assumed OK... $ac_c"
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <stdio.h>
-#include <string.h>
-#include <cln/version.h>
-
-/* we do not #include <stdlib.h> because autoconf in C++ mode inserts a
-   prototype for exit() that conflicts with the one in stdlib.h */
-extern "C" int system(const char *);
-
-int main(void)
-{
-    system("touch conf.clntest");
-
-    if ((CL_VERSION_MAJOR != $cln_config_major_version) ||
-        (CL_VERSION_MINOR != $cln_config_minor_version) ||
-        (CL_VERSION_PATCHLEVEL != $cln_config_micro_version)) {
-        printf("\n*** 'cln-config --version' returned %d.%d.%d, but the header file I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
-        printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", CL_VERSION_MAJOR, CL_VERSION_MINOR, CL_VERSION_PATCHLEVEL);
-        printf("*** is corrupted or you have specified some wrong -I compiler flags.\n");
-        printf("*** Please inquire and consider reinstalling CLN.\n");
-        return 1;
-    }
-    if ((cln::version_major != $cln_config_major_version) ||
-        (cln::version_minor != $cln_config_minor_version) ||
-        (cln::version_patchlevel != $cln_config_micro_version)) {
-        printf("\n*** 'cln-config --version' returned %d.%d.%d, but the library I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
-        printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", cln::version_major, cln::version_minor, cln::version_patchlevel);
-        printf("*** is corrupted or you have specified some wrong -L compiler flags.\n");
-        printf("*** Please inquire and consider reinstalling CLN.\n");
-        return 1;
-    }
-    return 0;
-}
-
-_ACEOF
-rm -f conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_try") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  :
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-no_cln=yes
-fi
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-
-
-            CPPFLAGS="$ac_save_CPPFLAGS"
-            LIBS="$ac_save_LIBS"
-        fi
-        if test "x$no_cln" = x ; then
-            { echo "$as_me:$LINENO: result: yes, $cln_config_version" >&5
-echo "${ECHO_T}yes, $cln_config_version" >&6; }
-
-     	LIBS="$LIBS $CLN_LIBS"
-     	CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_LIBCLN 1
-_ACEOF
-
-
-        else
-            { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-            if test ! -f conf.clntest ; then
-                echo "*** Could not run CLN test program, checking why..."
-                CPPFLAGS="$CFLAGS $CLN_CPPFLAGS"
-                LIBS="$LIBS $CLN_LIBS"
-                cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <stdio.h>
-#include <cln/version.h>
-
-int
-main ()
-{
- return 0;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-   echo "*** The test program compiled, but did not run. This usually means"
-                  echo "*** that the run-time linker is not finding CLN or finding the wrong"
-                  echo "*** version of CLN. If it is not finding CLN, you'll need to set your"
-                  echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
-                  echo "*** to the installed location. Also, make sure you have run ldconfig if that"
-                  echo "*** is required on your system."
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	 echo "*** The test program failed to compile or link. See the file config.log for the"
-                  echo "*** exact error that occured. This usually means CLN was incorrectly installed"
-                  echo "*** or that you have moved CLN since it was installed. In the latter case, you"
-                  echo "*** may want to edit the cln-config script: $CLN_CONFIG."
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-                CPPFLAGS="$ac_save_CPPFLAGS"
-                LIBS="$ac_save_LIBS"
-            fi
-            CLN_CPPFLAGS=""
-            CLN_LIBS=""
-            { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
-echo "$as_me: error: No suitable installed version of CLN could be found." >&2;}
-   { (exit 1); exit 1; }; }
-        fi
-    fi
-fi
-
-
-rm -f conf.clntest
-
-
-
 
 if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
 	if test -n "$ac_tool_prefix"; then
@@ -33713,21 +33411,15 @@
     else
         if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	\"") >&5
   ($PKG_CONFIG --exists --print-errors "
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   pkg_cv_QALCULATE_CFLAGS=`$PKG_CONFIG --cflags "
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	" 2>/dev/null`
 else
@@ -33743,21 +33435,15 @@
     else
         if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	\"") >&5
   ($PKG_CONFIG --exists --print-errors "
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   pkg_cv_QALCULATE_LIBS=`$PKG_CONFIG --libs "
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	" 2>/dev/null`
 else
@@ -33779,14 +33465,10 @@
 fi
         if test $_pkg_short_errors_supported = yes; then
 	        QALCULATE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	"`
         else
 	        QALCULATE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	"`
         fi
@@ -33794,8 +33476,6 @@
 	echo "$QALCULATE_PKG_ERRORS" >&5
 
 	{ { echo "$as_me:$LINENO: error: Package requirements (
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	) were not met:
 
@@ -33809,8 +33489,6 @@
 See the pkg-config man page for more details.
 " >&5
 echo "$as_me: error: Package requirements (
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	) were not met:
 
@@ -33833,7 +33511,7 @@
 and QALCULATE_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&5
 echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
 is in your PATH or set the PKG_CONFIG environment variable to the full
@@ -33843,7 +33521,7 @@
 and QALCULATE_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
@@ -33859,6 +33537,7 @@
 LIBS="$LIBS $QALCULATE_LIBS"
 CFLAGS="$CFLAGS $QALCULATE_CFLAGS"
 CPPFLAGS="$CPPFLAGS $QALCULATE_CFLAGS"
+CXXFLAGS="$CXXFLAGS $USE_EXCEPTIONS"
 
 
 
@@ -34916,9 +34595,6 @@
 LIB_KSYCOCA!$LIB_KSYCOCA$ac_delim
 LIB_KFILE!$LIB_KFILE$ac_delim
 LIB_KFM!$LIB_KFM$ac_delim
-CLN_CONFIG!$CLN_CONFIG$ac_delim
-CLN_CPPFLAGS!$CLN_CPPFLAGS$ac_delim
-CLN_LIBS!$CLN_LIBS$ac_delim
 PKG_CONFIG!$PKG_CONFIG$ac_delim
 QALCULATE_CFLAGS!$QALCULATE_CFLAGS$ac_delim
 QALCULATE_LIBS!$QALCULATE_LIBS$ac_delim
@@ -34927,7 +34603,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 57; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 54; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff -ur qalculate-kde-0.9.6/configure.in qalculate-kde-0.9.6_patched/configure.in
--- qalculate-kde-0.9.6/configure.in	2007-06-17 05:33:58.000000000 -0600
+++ qalculate-kde-0.9.6_patched/configure.in	2009-04-03 10:49:41.000000000 -0600
@@ -73,15 +73,7 @@
 
 AC_LANG([C++])
 
-AC_PATH_CLN(1.1.0, [
-     	LIBS="$LIBS $CLN_LIBS"
-     	CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
-  	AC_DEFINE(HAVE_LIBCLN,1,[If CLN can be used])
-], AC_MSG_ERROR([No suitable installed version of CLN could be found.]))
-
 PKG_CHECK_MODULES(QALCULATE, [
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	])
 AC_SUBST(QALCULATE_CFLAGS)
@@ -90,6 +82,7 @@
 LIBS="$LIBS $QALCULATE_LIBS"
 CFLAGS="$CFLAGS $QALCULATE_CFLAGS"
 CPPFLAGS="$CPPFLAGS $QALCULATE_CFLAGS"
+CXXFLAGS="$CXXFLAGS $USE_EXCEPTIONS"
 
 KDE_CREATE_SUBDIRSLIST
 AC_CONFIG_FILES([ Makefile ])
diff -ur qalculate-kde-0.9.6/configure.in.in qalculate-kde-0.9.6_patched/configure.in.in
--- qalculate-kde-0.9.6/configure.in.in	2007-05-18 02:10:17.000000000 -0600
+++ qalculate-kde-0.9.6_patched/configure.in.in	2009-04-03 10:49:41.000000000 -0600
@@ -8,15 +8,7 @@
 
 AC_LANG([C++])
 
-AC_PATH_CLN(1.1.0, [
-     	LIBS="$LIBS $CLN_LIBS"
-     	CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
-  	AC_DEFINE(HAVE_LIBCLN,1,[If CLN can be used])
-], AC_MSG_ERROR([No suitable installed version of CLN could be found.]))
-
 PKG_CHECK_MODULES(QALCULATE, [
-	libxml-2.0
-	glib-2.0
 	libqalculate >= 0.9.6
 	])
 AC_SUBST(QALCULATE_CFLAGS)
@@ -25,4 +17,5 @@
 LIBS="$LIBS $QALCULATE_LIBS"
 CFLAGS="$CFLAGS $QALCULATE_CFLAGS"
 CPPFLAGS="$CPPFLAGS $QALCULATE_CFLAGS"
+CXXFLAGS="$CXXFLAGS $USE_EXCEPTIONS"
 
diff -ur qalculate-kde-0.9.6/doc/Makefile.in qalculate-kde-0.9.6_patched/doc/Makefile.in
--- qalculate-kde-0.9.6/doc/Makefile.in	2007-06-17 05:34:18.000000000 -0600
+++ qalculate-kde-0.9.6_patched/doc/Makefile.in	2009-04-03 10:49:41.000000000 -0600
@@ -85,9 +85,6 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
-CLN_CONFIG = @CLN_CONFIG@
-CLN_CPPFLAGS = @CLN_CPPFLAGS@
-CLN_LIBS = @CLN_LIBS@
 CONF_FILES = @CONF_FILES@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
@@ -336,9 +333,9 @@
 #>- 	      exit 1;; \
 #>- 	  esac; \
 #>- 	done; \
-#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
+#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
 #>- 	cd $(top_srcdir) && \
-#>- 	  $(AUTOMAKE) --gnu  doc/Makefile
+#>- 	  $(AUTOMAKE) --foreign  doc/Makefile
 #>+ 12
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
@@ -348,9 +345,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  doc/Makefile
+	  $(AUTOMAKE) --foreign  doc/Makefile
 	cd $(top_srcdir) && perl admin/am_edit doc/Makefile.in
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -669,9 +666,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  doc/Makefile
+	  $(AUTOMAKE) --foreign  doc/Makefile
 	cd $(top_srcdir) && perl admin/am_edit doc/Makefile.in
 
 
diff -ur qalculate-kde-0.9.6/doc/en/Makefile.in qalculate-kde-0.9.6_patched/doc/en/Makefile.in
--- qalculate-kde-0.9.6/doc/en/Makefile.in	2007-06-17 05:34:18.000000000 -0600
+++ qalculate-kde-0.9.6_patched/doc/en/Makefile.in	2009-04-03 10:49:41.000000000 -0600
@@ -85,9 +85,6 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
-CLN_CONFIG = @CLN_CONFIG@
-CLN_CPPFLAGS = @CLN_CPPFLAGS@
-CLN_LIBS = @CLN_LIBS@
 CONF_FILES = @CONF_FILES@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
@@ -336,9 +333,9 @@
 #>- 	      exit 1;; \
 #>- 	  esac; \
 #>- 	done; \
-#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/Makefile'; \
+#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/Makefile'; \
 #>- 	cd $(top_srcdir) && \
-#>- 	  $(AUTOMAKE) --gnu  doc/en/Makefile
+#>- 	  $(AUTOMAKE) --foreign  doc/en/Makefile
 #>+ 12
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
@@ -348,9 +345,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  doc/en/Makefile
+	  $(AUTOMAKE) --foreign  doc/en/Makefile
 	cd $(top_srcdir) && perl admin/am_edit doc/en/Makefile.in
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -669,9 +666,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  doc/en/Makefile
+	  $(AUTOMAKE) --foreign  doc/en/Makefile
 	cd $(top_srcdir) && perl admin/am_edit doc/en/Makefile.in
 
 
diff -ur qalculate-kde-0.9.6/doc/en/qalculate_kde/Makefile.in qalculate-kde-0.9.6_patched/doc/en/qalculate_kde/Makefile.in
--- qalculate-kde-0.9.6/doc/en/qalculate_kde/Makefile.in	2007-06-17 05:34:18.000000000 -0600
+++ qalculate-kde-0.9.6_patched/doc/en/qalculate_kde/Makefile.in	2009-04-03 10:53:22.000000000 -0600
@@ -66,9 +66,6 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
-CLN_CONFIG = @CLN_CONFIG@
-CLN_CPPFLAGS = @CLN_CPPFLAGS@
-CLN_LIBS = @CLN_LIBS@
 CONF_FILES = @CONF_FILES@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
@@ -318,9 +315,9 @@
 #>- 	      exit 1;; \
 #>- 	  esac; \
 #>- 	done; \
-#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile'; \
+#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile'; \
 #>- 	cd $(top_srcdir) && \
-#>- 	  $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile
+#>- 	  $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile
 #>+ 12
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
@@ -330,9 +327,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile
+	  $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile
 	cd $(top_srcdir) && perl admin/am_edit doc/en/qalculate_kde/Makefile.in
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -503,19 +500,19 @@
 docs-am: index.cache.bz2
 
 install-docs: docs-am install-nls
-	$(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde
+	$(mkinstalldirs) $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde
 	@if test -f index.cache.bz2; then \
-	echo $(INSTALL_DATA) index.cache.bz2 $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/; \
-	$(INSTALL_DATA) index.cache.bz2 $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/; \
+	echo $(INSTALL_DATA) index.cache.bz2 $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/; \
+	$(INSTALL_DATA) index.cache.bz2 $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/; \
 	elif test -f  $(srcdir)/index.cache.bz2; then \
-	echo $(INSTALL_DATA) $(srcdir)/index.cache.bz2 $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/; \
-	$(INSTALL_DATA) $(srcdir)/index.cache.bz2 $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/; \
+	echo $(INSTALL_DATA) $(srcdir)/index.cache.bz2 $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/; \
+	$(INSTALL_DATA) $(srcdir)/index.cache.bz2 $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/; \
 	fi
-	-rm -f $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/common
-	$(LN_S) $(kde_libs_htmldir)/$(KDE_LANG)/common $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/common
+	-rm -f $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/common
+	$(LN_S) $(kde_libs_htmldir)/$(KDE_LANG)/common $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/common
 
 uninstall-docs:
-	-rm -rf $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde
+	-rm -rf $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde
 
 clean-docs:
 	-rm -f index.cache.bz2
@@ -523,15 +520,15 @@
 
 #>+ 13
 install-nls:
-	$(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde
+	$(mkinstalldirs) $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde
 	@for base in functions.docbook gnuplot.png calculator-buttons.png unit-manager.png completion.png function-manager.png calculation-history.png edit-variable.png plot-data.png units.docbook variable-manager.png edit-unit.png variables.docbook insert-function.png rpn-mode.png plot-settings.png import-csv.png edit-matrix.png edit-function.png convert-unit.png index.docbook mainwindow.png store-variable.png convert-number-bases.png ; do \
-	  echo $(INSTALL_DATA) $$base $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
-	  $(INSTALL_DATA) $(srcdir)/$$base $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
+	  echo $(INSTALL_DATA) $$base $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
+	  $(INSTALL_DATA) $(srcdir)/$$base $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
 	done
 
 uninstall-nls:
 	for base in functions.docbook gnuplot.png calculator-buttons.png unit-manager.png completion.png function-manager.png calculation-history.png edit-variable.png plot-data.png units.docbook variable-manager.png edit-unit.png variables.docbook insert-function.png rpn-mode.png plot-settings.png import-csv.png edit-matrix.png edit-function.png convert-unit.png index.docbook mainwindow.png store-variable.png convert-number-bases.png ; do \
-	  rm -f $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
+	  rm -f $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
 	done
 
 
@@ -551,9 +548,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile
+	  $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile
 	cd $(top_srcdir) && perl admin/am_edit doc/en/qalculate_kde/Makefile.in
 
 
Only in qalculate-kde-0.9.6_patched/doc/en/qalculate_kde: Makefile.in~
diff -ur qalculate-kde-0.9.6/po/Makefile.in qalculate-kde-0.9.6_patched/po/Makefile.in
--- qalculate-kde-0.9.6/po/Makefile.in	2007-06-17 05:34:18.000000000 -0600
+++ qalculate-kde-0.9.6_patched/po/Makefile.in	2009-04-03 10:49:41.000000000 -0600
@@ -68,9 +68,6 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
-CLN_CONFIG = @CLN_CONFIG@
-CLN_CPPFLAGS = @CLN_CPPFLAGS@
-CLN_LIBS = @CLN_LIBS@
 CONF_FILES = @CONF_FILES@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
@@ -322,9 +319,9 @@
 #>- 	      exit 1;; \
 #>- 	  esac; \
 #>- 	done; \
-#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  po/Makefile'; \
+#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  po/Makefile'; \
 #>- 	cd $(top_srcdir) && \
-#>- 	  $(AUTOMAKE) --gnu  po/Makefile
+#>- 	  $(AUTOMAKE) --foreign  po/Makefile
 #>+ 12
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
@@ -334,9 +331,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  po/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  po/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  po/Makefile
+	  $(AUTOMAKE) --foreign  po/Makefile
 	cd $(top_srcdir) && perl admin/am_edit po/Makefile.in
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -564,9 +561,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  po/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  po/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  po/Makefile
+	  $(AUTOMAKE) --foreign  po/Makefile
 	cd $(top_srcdir) && perl admin/am_edit po/Makefile.in
 
 
diff -ur qalculate-kde-0.9.6/src/Makefile.in qalculate-kde-0.9.6_patched/src/Makefile.in
--- qalculate-kde-0.9.6/src/Makefile.in	2007-06-17 05:34:19.000000000 -0600
+++ qalculate-kde-0.9.6_patched/src/Makefile.in	2009-04-03 10:49:41.000000000 -0600
@@ -176,9 +176,6 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
-CLN_CONFIG = @CLN_CONFIG@
-CLN_CPPFLAGS = @CLN_CPPFLAGS@
-CLN_LIBS = @CLN_LIBS@
 CONF_FILES = @CONF_FILES@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
@@ -469,9 +466,9 @@
 #>- 	      exit 1;; \
 #>- 	  esac; \
 #>- 	done; \
-#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 #>- 	cd $(top_srcdir) && \
-#>- 	  $(AUTOMAKE) --gnu  src/Makefile
+#>- 	  $(AUTOMAKE) --foreign  src/Makefile
 #>+ 12
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
@@ -481,9 +478,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 	cd $(top_srcdir) && perl admin/am_edit src/Makefile.in
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -1078,9 +1075,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 	cd $(top_srcdir) && perl admin/am_edit src/Makefile.in
 
 
